# $Id: perl-SNMP_Session.spec 882 2008-05-10 19:32:40Z rpmbuild $
# repo: RE-test
# restrictions: aix* el*

Name:           perl-SNMP_Session
Version:        1.12
Release:        %RErelease 1
Summary:        SNMP support for Perl 5

Group:          Development/Libraries
License:        Artistic
URL:            http://www.switch.ch/misc/leinen/snmp/perl/
Source0:        http://www.switch.ch/misc/leinen/snmp/perl/dist/SNMP_Session-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires: rpm-macros-razorsedge
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Pure Perl SNMP v1 and SNMP v2 support for Perl 5.

The SNMP operations currently supported are "get", "get-next", "get-bulk"
and "set", as well as trap generation and reception. 


%prep
%setup -q -n SNMP_Session-%{version}
%{__perl} -pi -e 's{^#!/usr/local/bin/perl\b}{#!%{__perl}}' test/*
%{__chmod} 644 test/*


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'


%if "%_os" == "aix" || 0%{?el2} || 0%{?rh7}
%else
%check
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}" test
%endif


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Artistic README README.SNMP_util index.html test/
%{perl_vendorlib}/*


%changelog
* Sat May 10 2008 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.12-1
- Updated to version 1.12.

* Sun Aug 13 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.08-1.1
- Removed %check to build on AIX.

* Thu Dec 29 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.08-1
- Update to 1.08.

* Tue Sep 13 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.07-2
- Removed superfluous perl BR.

* Wed Aug 10 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.07-1
- Update to Fedora Extras template.

* Wed Nov 24 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.07-0.fdr.1
- Update to 1.07.

* Sun Oct  3 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.06-0.fdr.1
- Update to 1.06.

* Wed Aug 25 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.05-0.fdr.2
- The homepage changed placed in 2004-08-23.
- The author repackaged the files using the same tar.gz version (1.05).

* Wed Jul 21 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.05-0.fdr.1
- Update to 1.05.

* Tue May 18 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.03-0.fdr.1
- First build.
